• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 261
  • Last Modified:

Operation must use an updateable query.

Hi

I am getting the error "Operation must use an updateable query." when I am updating an access database

Access Database is present in App_Data.

Why I am getting this error
0
KaranGupta
Asked:
KaranGupta
1 Solution
 
jaydee-cdgpCommented:
"This problem occurs when a Microsoft Access database file is used as your database source because you must grant write access to both the default worker process identity and the authenticated user. By default, both Internet Information Server version 5.0 and Internet Information Server version 6.0 typically grant write access to both the default worker process identity and the authenticated user. However, when you use an MDB file as your database, these permissions must be granted by an administrator on the server that hosts the Web site."

Check here... http://support.microsoft.com/kb/830977

Hope this solves your problem
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: Port Scanner

Check which ports are open to the outside world. Helps make sure that your firewall rules are working as intended.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now